/**
  * 用户
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admwechatuserlist: params => { // 小程序 用户列表
    return getRequest('/adm/wechat/user/list', params)
  },
  admwechatuseredit: params => { // 小程序 用户添加标签
    return getRequestNoSort('/adm/wechat/user/edit', params)
  },
  admwechatusergag: params => { // 小程序 用户禁言
    return getRequestNoSort('/adm/wechat/user/gag', params)
  },
  admwechatuserpurge: params => { // 小程序 用户物理删除
    return getRequestNoSort('/adm/wechat/user/purge', params)
  },
  admwechatuserclicklist: params => { // 小程序 点击 日志
    return getRequest('/adm/wechat/user/click/list', params)
  },
  admadminlist: params => { // 用户列表
    return getRequest('/adm/admin/list', params)
  },
  admadminedit: params => { // 用户编辑
    return getRequestNoSort('/adm/admin/edit', params, 'loading')
  },
  admadminadd: params => { // 用户添加
    return getRequestNoSort('/adm/admin/add', params, 'loading')
  },
  admadmindel: params => { // 用户删除
    return getRequestNoSort('/adm/admin/del', params, 'loading')
  },
  admquestionlist: params => { // 问答-问题列表
    return getRequest('/adm/question/list', params)
  },
  admanswerlist: params => { // 问答-回答列表
    return getRequest('/adm/answer/list', params)
  },
  admquestionadd: params => { // 问答-添加问题
    return getRequestNoSort('/adm/question/add', params, 'loading')
  },
  admansweradd: params => { // 问答-添加回答
    return getRequestNoSort('/adm/answer/add', params, 'loading')
  },
  admquestiondel: params => { // 问答-问题删除
    return getRequestNoSort('/adm/question/del', params, 'loading')
  },
  admanswerdel: params => { // 问答-回答删除
    return getRequestNoSort('/adm/answer/del', params, 'loading')
  },
  admcommentlist: params => { // 楼盘评论 - 评论列表
    return getRequest('/adm/estate/comment/list', params)
  },
  admcommentdel: params => { // 楼盘评论 - 评论删除
    return getRequestNoSort('/adm/estate/comment/del', params, 'loading')
  },
  admfeedbacklist: params => { // 反馈列表
    return getRequest('/adm/feedback/list', params)
  },
  admfeedbackdel: params => { // 反馈删除
    return getRequestNoSort('/adm/feedback/del', params, 'loading')
  },
  admschoolcommentlist: params => { // 学校评论 - 评论列表
    return getRequest('/adm/school/comment/list', params)
  },
  admschoolcommentdel: params => { // 学校评论 - 评论删除
    return getRequestNoSort('/adm/school/comment/del', params, 'loading')
  },
  admintegralrulelist: params => { // 积分规则 - 列表
    return getRequest('/adm/integral/rule/list', params)
  },
  admintegralruleedit: params => { // 积分规则 - 编辑
    return getRequestNoSort('/adm/integral/rule/edit', params, 'loading')
  },
  admintegralruleadd: params => { //  积分规则 - 添加
    return getRequestNoSort('/adm/integral/rule/add', params, 'loading')
  },
  admintegralruledel: params => { //  积分规则 - 删除
    return getRequestNoSort('/adm/integral/rule/del', params, 'loading')
  },
  admintegralruledetail: params => { //  积分规则 - 详情
    return getRequestNoSort('/adm/integral/rule/detail', params, 'loading')
  },
  admwechatuserintegraledit: params => { //  用户积分编辑
    return getRequestNoSort('/adm/wechat/user/integral/edit', params, 'loading')
  },
  admwechatuserintegrallist: params => { //  用户积分明细列表
    return getRequest('/adm/wechat/user/integral/list', params)
  },
  admwechatusersale: params => { //  用户 -  用户角色设置 - 置业经理 普通用户
    return getRequestNoSort('/adm/wechat/user/sale', params, 'loading')
  },
  admsaleuserlist: params => { // 销售列表 置业经理
    return getRequest('/adm/sale/user/list', params)
  },
  admsaleuserdel: params => { // 销售列表 删除
    return getRequestNoSort('/adm/sale/user/del', params, 'loading')
  },
  admsaleuseredit: params => { // 销售列表 编辑
    return getRequestNoSort('/adm/sale/user/edit', params, 'loading')
  },
  admestatepricepush: params => { // 推送消息 历史价格更新
    return getRequestNoSort('/adm/estate/price/push', params, 'loading')
  },
  admestatelottery2pushprice: params => { // 推送消息 一房一价更新
    return getRequestNoSort('/adm/estate/lottery2/push/price', params, 'loading')
  },
  admestatelottery2pushres: params => { // 推送消息 摇号结果更新
    return getRequestNoSort('/adm/estate/lottery2/push/res', params, 'loading')
  },
}
